# prerequisites 

make sure you have downloaded this repository with git 
```git clone https://git.coopcloud.tech/notplants/soli-mdbook.git```

make sure you have downloaded the outline contents (export and src) into this same directory.

here are the links for for the zip files in nextcloud:
- src: https://nc.commoninternet.net/s/sE3TJ5ZjwdLdzcy
- export: https://nc.commoninternet.net/s/niZKoQM3knQQoCE

after downloading the zip files, unzip them, so that there is an additional src and export folder now in this base directory

make sure you have python3 installed 

make sure you have rust installed (https://www.rust-lang.org/tools/install), and then you can install mdbook via:
`cargo install mdbook`

# how does this work 

the export folder downloaded from nextcloud in prerequisites is a raw export of markdown files from outline 

the outline_to_mdbook.py python script converts this folder of markdown from export, into a folder called src, 
which is the used by mdbook to build the website 

ideally we only modify files inside export and not inside of src directly, so that builds are repeatable,
and we don't have any manual changes inside of src 

you can modify the theme and style by modifying the files inside of theme (such as index.hbs and the files in css etc.)

# build

to build the mdbook run the following command in terminal within the directory of this code:

`./build.sh`

then you can navigate to http://0.0.0.0:8000/

and you should see the website 


